import { Component, OnInit } from '@angular/core';
import { NgForm, FormsModule } from '@angular/forms';
import { UserService } from './user.service';
import { CommonModule } from '@angular/common';
import { ExistingMobileNumberValidatorDirective } from './existing-mobileno-validator';
import { ExistingUsernameValidatorDirective } from './existing-username-validator';

@Component({
	selector: 'app-user',
	standalone: true,
	imports: [
		CommonModule,
		FormsModule,
		ExistingUsernameValidatorDirective,
		ExistingMobileNumberValidatorDirective
	],
	templateUrl: './user.component.html' 
})
export class UserComponent implements OnInit {
	formSubmitted = false;
	constructor(
		private userService: UserService) {
	}
	ngOnInit(): void {
	}
	onFormSubmit(userForm: NgForm) {
		this.userService.saveUser(userForm.value);
		this.formSubmitted = true;
		userForm.reset();
	}
}